
From: "Randy.Dunlap" <rddunlap@osdl.org>

Please merge this makefile update from Sam.
From: Sam Ravnborg <sam@ravnborg.org>

Remark, I removed dependencies for configs.o - the are generated by kbuild
anyway. Only generated files needs explicit dependencies.



 kernel/Makefile |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

diff -puN kernel/Makefile~ikconfig-makefile-update kernel/Makefile
--- 25/kernel/Makefile~ikconfig-makefile-update	2003-08-23 13:48:33.000000000 -0700
+++ 25-akpm/kernel/Makefile	2003-08-23 13:48:33.000000000 -0700
@@ -20,9 +20,6 @@ obj-$(CONFIG_BSD_PROCESS_ACCT) += acct.o
 obj-$(CONFIG_COMPAT) += compat.o
 obj-$(CONFIG_IKCONFIG) += configs.o
 
-# files to be removed upon make clean
-clean-files := ikconfig.h
-
 ifneq ($(CONFIG_IA64),y)
 # According to Alan Modra <alan@linuxcare.com.au>, the -fno-omit-frame-pointer is
 # needed for x86 only.  Why this used to be enabled for all architectures is beyond
@@ -32,8 +29,12 @@ ifneq ($(CONFIG_IA64),y)
 CFLAGS_sched.o := $(PROFILING) -fno-omit-frame-pointer
 endif
 
-$(obj)/ikconfig.h: scripts/mkconfigs .config Makefile
-	$(CONFIG_SHELL) scripts/mkconfigs .config Makefile > $(obj)/ikconfig.h
+quiet_cmd_ikconfig = IKCFG   $@
+      cmd_ikconfig = $(CONFIG_SHELL) $< .config $(srctree)/Makefile > $@
+
+targets += ikconfig.h
+
+$(obj)/ikconfig.h: scripts/mkconfigs .config Makefile FORCE
+	$(call if_changed,ikconfig)
 
-$(obj)/configs.o: $(obj)/ikconfig.h $(obj)/configs.c \
-		include/linux/version.h include/linux/compile.h
+$(obj)/configs.o: $(obj)/ikconfig.h

_
